<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">


    <s:decorate template="/layout/cards/_card.xhtml" rendered="#{!statisticsCommonBeanGui.isAdminOrTSM()}">
        <ui:param name="showCard" value="#{preparatoryTestsSummaryBeanGui.isPrecatTestsEnabled()}"/>
        <ui:define name="card-header">
            <i class="fa fa-flask" ></i>
            <span>#{messages['gazelle.common.menu.PreparatoryTests']}</span>
        </ui:define>
        <ui:define name="card-body">
            <p>
                #{messages['net.ihe.gazelle.tm.PreparatoryTestsAreAvailableForYouToPrepareYours']}
            </p>

        </ui:define>
        <ui:define name="card-footer">

            <div class="col-sm-offset-2 col-sm-8">
                <h:commandButton id="listPreparatoryTests" styleClass="gzl-btn gzl-btn-green form-control"
                                 value="#{messages['net.ihe.gazelle.tm.ListPreparatoryTests']}" action="#{preparatoryTestsSummaryBeanGui.listPreparatoryTestsButton()}"/>
            </div>
        </ui:define>
    </s:decorate>

    <h:panelGroup rendered="#{statisticsCommonBeanGui.isAdminOrTSM()}">
        <s:decorate template="../../pie-chart.xhtml">
            <ui:param name="iconBeforeTitle" value="#{messages['net.ihe.gazelle.tm.FaFaflask']}"/>
            <ui:param name="headerTitle"
                      value="#{messages['gazelle.common.menu.PreparatoryTests']}"/>
            <ui:param name="link" value="#{statisticsForPreparationPhaseBeanGui.getAllTestRunsPreparatoryFiltered()}"/>
            <ui:param name="classLink" value="fa gzl-icon-search"/>
            <ui:param name="information"
                      value="#{messages['net.ihe.gazelle.tm.ThereIsATotalOf']} #{statisticsForPreparationPhaseBeanGui.getNumberOfPreparatoryTests()} #{messages['net.ihe.gazelle.tm.PreparatoryTestRunsForThisSession']}"/>
            <ui:param name="values"
                      value="#{statisticsForPreparationPhaseBeanGui.getStatisticsOfPreparatoryTests()}"/>
            <ui:param name="labelValues"
                      value="[&quot;#{messages['gazelle.tm.testing.status.verified']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.failed']}&quot;,
                                          &quot;#{messages['net.ihe.gazelle.tm.InProgress']}&quot;]"/>
            <ui:param name="colors"
                      value="#{statisticsForPreparationPhaseBeanGui.getColorsForPreparatoryStatsChart()}"/>
            <ui:param name="myChartId" value="chartPreparatoryTests"/>
            <ui:param name="chartTitle" value="#{messages['net.ihe.gazelle.tm.StatusOfPreparatoryTests']}"/>
        </s:decorate>
    </h:panelGroup>

</ui:composition>